<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

	Function inicio(){
			let celdas=[];
			let c=0;


/*en cada uno de los tds debe colocar
 un indice aleatorio entre 1 y 10 */ 
	/*cuando el usuario haga click en una acelda 
	la celda se vacia y si coloca en fondo azul*/
		

             document.querySelectorAll("td")
             objeto=document.querySelectorAll("td");
             objeto[0].innerHTML=(Math.randow()*9+1);

             function cambia (posicion);
             objeto.style.backgroundColor="blue";
             objeto[posicion].style.color="_";
}
     </script>        
</head>

                            	            
	
<body onload="inicio()">
	<table border="1">
		<tr>
			<td onclick="cambia(this)">1</td>
            <td onclick="cambia(this)">2</td>
            <td onclick="cambia(this)">3</td>
            <td onclick="cambia(this)">4</td>
            <td onclick="cambia(this)">5</td>

	         <td onclick="cambia(this)">6</td>
            <td onclick="cambia(this)">7</td>
            <td onclick="cambia(this)">8</td>
            <td onclick="cambia(this)">9</td>
            <td onclick="cambia(this)">10</td>
            
</body>
</html>